<?php

declare (strict_types=1);
namespace CelerSearch\Vendor\Meilisearch\Endpoints;

use CelerSearch\Vendor\Meilisearch\Contracts\Endpoint;
/** @internal */
class Batches extends Endpoint
{
    protected const PATH = '/batches';
    public function get(int $batchUid) : array
    {
        return $this->http->get(self::PATH . '/' . $batchUid);
    }
    public function all(array $query = []) : array
    {
        return $this->http->get(self::PATH . '/', $query);
    }
}
